Bug 174222 - Release Notes in Installer contain strange escape characters
Release Notes in Installer contain strange escape characters
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Mike McLean
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2005-11-25 22:15 EST by n0dalus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-29 11:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Photo of escape character on screen (54.50 KB, image/jpeg)
2005-11-28 22:17 EST, n0dalus
no flags Details
Example of 'o' for dot-points (52.92 KB, image/jpeg)
2005-11-28 22:21 EST, n0dalus
no flags Details
Another photo of escape character (46.04 KB, image/jpeg)
2005-11-28 22:25 EST, n0dalus
no flags Details

  None (edit)
Description n0dalus 2005-11-25 22:15:50 EST
Description of problem:
During graphical installation of FC5t1, the Release Notes have escape characters
like \001 as well as other strange characters (eg bulleted lists use an 'o'
character, it doesn't look right in plain text).

Steps to Reproduce:
1. Click 'Release Notes' button during installation

Expected Behaviour:
Either the Release Notes viewer should strip out/replace these characters, or
display the text with bold sections and proper bulleted lists.
Comment 1 David Cantrell 2005-11-28 13:25:06 EST
Can you provide a specific escape character example?  I am seeing the open and
closed circles for bulleted lists, but I'm not seeing escape characters such as

Comment 2 n0dalus 2005-11-28 22:17:46 EST
Created attachment 121566 [details]
Photo of escape character on screen

Attaching a few photos I took of the screen. Apologies in advance for the
Comment 3 n0dalus 2005-11-28 22:21:05 EST
Created attachment 121567 [details]
Example of 'o' for dot-points

Either the spacing between the 'o' and the text should be improved, or it
should be replaced by another character like * or -.
Comment 4 n0dalus 2005-11-28 22:25:20 EST
Created attachment 121568 [details]
Another photo of escape character

As well as the escape char, this one shows the heavy use of []'s throughout the
release notes; is this intentional?

Sorry for the poor image quality.
Comment 5 David Cantrell 2005-11-29 10:07:36 EST
OK, I see some of the same things now here.  The problem you are describing is
due to a few factors.  First, the release notes viewer in anaconda is a gtkhtml2
widget.  Release notes for RHEL are distributed as HTML files in all supported
languages.  If the release notes are available in HTML, anaconda displays that
as is.  If we only have the UTF-8 text file called 'RELEASE-NOTES', anaconda
wraps it in HTML pre tags and displays it as preformatted text.

The easiest fix would be for Fedora releases to start including HTML versions of
the release notes.  I don't know if that's doable, but what I'm working on right
now is to make the UTF-8 text version of the release notes a little more
readable in the HTML viewer.

I'll follow up with you after I make a little more progress on this.
Comment 6 David Cantrell 2005-11-29 11:46:40 EST
I have increased the size of the release notes dialog to take the entire screen.
 This should make it a little easier to read.  As far as marking up the text in
the installer, that's not the right place.  I have contacted the doc team to ask
about an HTML version of the release notes which would look much nicer.  FC 1
through 3 had that, but FC 4 did not.  Hopefully it's just a simple thing to

Note You need to log in before you can comment on or make changes to this bug.